Get incoming messages
GET https://www.lightsms.com/external/get/incoming.php
Retrieve incoming SMS messages sent to your account.
If you have a two-way SMS service configured, this endpoint allows you to fetch messages received from your customers.
Authorization​
This endpoint requires authentication using login, signature, and timestamp parameters.
See the Authentication documentation for more details.
AUTHORIZATION: HTTP
REQUEST
Base URL
https://www.lightsms.com
Query Parameters
loginREQUIREDYour LightSMS account login
signatureREQUIREDRequest signature for authentication
timestampREQUIREDUTC timestamp of the request
dateSingle date in format YYYY-MM-DD
fromStart date/time in format YYYY-MM-DD HH:MM:SS
toEnd date/time in format YYYY-MM-DD HH:MM:SS
returnResponse format (json or xml)
RESPONSE
Incoming messages retrieved successfully
{
"5597": {
"date": "2025-01-15 14:23:45",
"sender": "37061234567",
"phone": "5163251632",
"prefix": "51632",
"text": "STOP"
}
}